# Leonetienne/Hazelnupp: Hazelnupp/main.cpp File Reference

main.cpp File Reference
`#include <iostream>`
`#include "Hazelnupp.h"`
`#include "IntValue.h"`
Include dependency graph for main.cpp:

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 7 of file main.cpp.

{
Hazelnupp nupp;
nupp.SetBriefDescription("This is the testing application for Hazelnupp.");
nupp.RegisterDescription("--help", "This will display the parameter documentation.");
nupp.RegisterDescription("--force", "Just forces it.");
nupp.RegisterDescription("--width", "The width of something...");
nupp.RegisterDescription("--name", "The names to target");
nupp.RegisterDescription("--fruit", "The fruit to use");
nupp.RegisterAbbreviation("-f", "--force");
nupp.RegisterAbbreviation("-w", "--width");
nupp.RegisterAbbreviation("-h", "--height");
nupp.RegisterConstraints({
ParamConstraint::TypeSafety("--width", DATA_TYPE::FLOAT),
ParamConstraint("--name", true, DATA_TYPE::LIST, {"peter", "hannes"}, true),
ParamConstraint("--fruit", true, DATA_TYPE::STRING, {}, true)
});
nupp.Parse(argc, argv);
return 0;
}
Hazelnp::Hazelnupp
The main class to interface with.
Definition: Hazelnupp.h:11
Hazelnp::Hazelnupp::SetBriefDescription
void SetBriefDescription(const std::string &description)
Sets a brief description of the application to be automatically added to the documentation.
Definition: Hazelnupp.cpp:306
Hazelnp::ParamConstraint
Definition: ParamConstraint.h:8
Hazelnp::Hazelnupp::Parse
void Parse(const int argc, const char *const *argv)
Will parse command line arguments.
Definition: Hazelnupp.cpp:35
Hazelnp::Hazelnupp::RegisterAbbreviation
void RegisterAbbreviation(const std::string &abbrev, const std::string &target)
Will register an abbreviation (like -f for –force)
Definition: Hazelnupp.cpp:499
Hazelnp::Hazelnupp::RegisterConstraints
void RegisterConstraints(const std::vector< ParamConstraint > &constraints)
Will register parameter constraints.
Definition: Hazelnupp.cpp:521
Hazelnp::Hazelnupp::RegisterDescription
void RegisterDescription(const std::string &parameter, const std::string &description)
Willl register a short description for a parameter.
Definition: Hazelnupp.cpp:317